import 'package:cs_resources/generated/assets.dart';
import 'package:cs_resources/generated/l10n.dart';
import 'package:cs_resources/theme/app_colors_theme.dart';
import 'package:flutter/material.dart';
import 'package:plugin_platform/engine/toast/toast_engine.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_button.dart';
import 'package:widgets/my_load_image.dart';
import 'package:widgets/my_text_view.dart';

import '../create/feedback_create_page.dart';

class FeedbackSendSmall extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      scrollDirection: Axis.vertical,
      physics: const BouncingScrollPhysics(),
      child: Container(
        margin: const EdgeInsets.symmetric(horizontal: 38),
        width: double.infinity,
        child: Column(mainAxisSize: MainAxisSize.max, crossAxisAlignment: CrossAxisAlignment.center, children: [
          const MyAssetImage(Assets.mainFeedbackSendImg, width: 237.5, height: 177).marginOnly(top: 15, bottom: 26),
          MyTextView(
            S.current.feedback_msg_1,
            fontSize: 17,
            textAlign: TextAlign.center,
            isFontBold: true,
            textColor: context.appColors.textBlack,
          ),
          MyTextView(
            S.current.feedback_msg_2,
            fontSize: 15,
            marginTop: 12,
            textAlign: TextAlign.center,
            isFontMedium: true,
            textColor: context.appColors.textBlack,
          ),
          MyButton(
            onPressed: () {
              FeedbackCreatePage.startInstance(context: context);
            },
            text: S.current.create_new_feedback,
            textColor: Colors.white,
            disabledTextColor: Colors.white,
            backgroundColor: context.appColors.btnBgDefault,
            fontWeight: FontWeight.w500,
            type: ClickType.throttle,
            minHeight: 50,
            radius: 5,
          ).marginOnly(top: 20, bottom: 30),
        ]),
      ),
    );
    ;
  }
}
